Pressbooks Book Theme Issues


#1

I’m seeing some strangenesses on our dev server in relation to installing Luther, Pressbook-book and the new McLuhan theme. When I first installed installed Pressbooks book 2.0 and Luther, in my list of themes, I was seeing Luther listed twice – one as version 1.8.0 and the other as version 1.12:
31 PM
When I tried to apply either of these themes to an existing book, I got SASS error messages:

[for Luther 1.12]

[for Luther 1.8.0]
None of the other network installed and activated themes are producing these error messages for me. Based on @dac’s reply in another thread here, I came to believe that these errors may have been due to the installation method (the zip package I used had some problems), so I removed both themes, deleted my composer.lock file and then reinstalled both using composer.

Unfortunately, I’m now getting 500 errors for all books on the site. Here are the two error messages I’m seeing in the apache error.log:
PHP Fatal error: Uncaught Error: Call to undefined function Sober\\Intervention\\intervention() in /var/www/wisc-dev/wordpress/wp-content/themes/pressbooks-book/inc/intervention.php:10\nStack trace:\n#0 /var/www/wisc-dev/wordpress/wp-content/themes/pressbooks-book/functions.php(18): require()\n#1 /var/www/wisc-dev/wordpress/wp-settings.php(426): include('/var/www/wisc-d...')\n#2 /var/www/wisc-dev/wordpress/wp-config.php(79): require_once('/var/www/wisc-d...')\n#3 /var/www/wisc-dev/wordpress/wp-load.php(37): require_once('/var/www/wisc-d...')\n#4 /var/www/wisc-dev/wordpress/wp-admin/admin.php(31): require_once('/var/www/wisc-d...')\n#5 /var/www/wisc-dev/wordpress/wp-admin/index.php(10): require_once('/var/www/wisc-d...')\n#6 {main}\n thrown in /var/www/wisc-dev/wordpress/wp-content/themes/pressbooks-book/inc/intervention.php on line 10, referer: https://wisc-dev.pb.unizin.org/wp-admin/network/themes.php

PHP Fatal error: Uncaught Error: Call to undefined function Sober\\Intervention\\intervention() in /var/www/wisc-dev/wordpress/wp-content/themes/pressbooks-book/inc/intervention.php:10\nStack trace:\n#0 /var/www/wisc-dev/wordpress/wp-content/themes/pressbooks-book/functions.php(18): require()\n#1 /var/www/wisc-dev/wordpress/wp-settings.php(426): include('/var/www/wisc-d...')\n#2 /var/www/wisc-dev/wordpress/wp-config.php(79): require_once('/var/www/wisc-d...')\n#3 /var/www/wisc-dev/wordpress/wp-load.php(37): require_once('/var/www/wisc-d...')\n#4 /var/www/wisc-dev/wordpress/wp-blog-header.php(13): require_once('/var/www/wisc-d...')\n#5 /var/www/wisc-dev/wordpress/index.php(17): require('/var/www/wisc-d...')\n#6 {main}\n thrown in /var/www/wisc-dev/wordpress/wp-content/themes/pressbooks-book/inc/intervention.php on line 10, referer: https://www.google.com/url?sa=i&rct=j&q=&esrc=s&source=images&cd=&ved=2ahUKEwilm5Lht5nZAhUq5IMKHVx9B-0Qjxx6BAgAEAI&url=https%3A%2F%2Fwisc-dev.pb.unizin.org%2Fanatomy622upperlimbcoursebook%2Fchapter%2Fbrachial-plexus%2F&psig=AOvVaw22_94djfj8m6Rsn7Q-6PyO&ust=1518286404001228

Any ideas about what’s happening here?


#2

Greetings:

We get a similar " Undefined variable $mine-shaft: line 107" error. I completely uninstalled Luther/pressbooks-book , flushed fc-cache and cleared all caches, optimized database.

I installed the latest pressbooks book theme (McLuhan) from here, https://github.com/pressbooks/pressbooks-book. We still get the same SASS errors.

We are not updating to Pressbooks 5.0 yet.


#3

Hi @rootl, are you getting these errors with the following versions?

Looks like @SteelWagstaff had older versions above; I’ve since fixed the specific SCSS issue you were encountering (see: https://github.com/pressbooks/pressbooks-luther/issues/1). We’ve upgraded 150 Pressbooks networks on our servers without issue. If there’s anything else I can do to help troubleshoot please let me know.


#4

Greetings @ned Sorry for the long delay . We tried to upgrade to those themes, and got the white screen of death. Majority of our books have Custom CSS theme. We have copies of the CSS for all books. We do want to upgrade to PB 5.0 (we are at 4.5.1 currently) and also upgrade to the latest themes. However, we are unsure of the smoothest way to transition. I will create a new thread for this issue. Thank you!